# VIDEOS = "begging, calm, crying, dancing".split(", ") # leftover
VIDEOS = "begging, calm, crying, dancing, finding, flies, music, offering, proposal, realfight, selfie, truemusicsearch, wait".split(", ") # leftover

SIZE = 
  w :256 
  h : 256

COLORS = 
  left : "#dc2f"
  right : "#2daf"
  chroma : "#2d9321"

HELP = "Your goal is to connect all figures to their pairs based on matching interactions. <br>Try dragging the figures close to one another to form connections.<br>When you are done, this button will let you see your results."

squarecrops = """[{"name":"begging","crop":"959:960:427:1"},{"name":"calm","crop":"959:960:553:2"},{"name":"crying","crop":"960:960:547:0"},{"name":"dancing","crop":"959:960:553:3"},{"name":"fighting","crop":"960:960:424:5"},{"name":"finding","crop":"960:960:430:9"},{"name":"flies","crop":"959:960:553:3"},{"name":"leftover","crop":"960:960:451:0"},{"name":"music","crop":"960:960:490:3"},{"name":"offering","crop":"960:960:550:3"},{"name":"preproposal","crop":"960:960:508:38"},{"name":"proposal","crop":"960:960:505:20"},{"name":"realfight","crop":"960:960:430:6"},{"name":"searchmusic","crop":"960:960:487:3"},{"name":"selfie","crop":"959:960:553:1"},{"name":"truemusicsearch","crop":"960:960:487:3"},{"name":"wait","crop":"960:960:556:1"}]"""

CROPS = 
  JSON.parse(
    """[
  {
    "name": "begging",
    "uvs": [
      {
        "a": {
          "x": 0.03262233375156838,
          "y": 0.18629279208542712
        },
        "b": {
          "x": 0.5457967377666249,
          "y": 0.9903128925879396
        },
        "vs": [
          {
            "x": 0.03262233375156838,
            "y": 0.18629279208542712
          },
          {
            "x": 0.5457967377666249,
            "y": 0.18629279208542712
          },
          {
            "x": 0.5457967377666249,
            "y": 0.9903128925879396
          },
          {
            "x": 0.03262233375156838,
            "y": 0.9903128925879396
          }
        ],
        "w": 0.5131744040150564,
        "h": 0.8040201005025125
      },
      {
        "a": {
          "x": 0.5420326223337516,
          "y": 0.5983530935929648
        },
        "b": {
          "x": 0.9598494353826851,
          "y": 0.9878003297738692
        },
        "vs": [
          {
            "x": 0.5420326223337516,
            "y": 0.5983530935929648
          },
          {
            "x": 0.9598494353826851,
            "y": 0.5983530935929648
          },
          {
            "x": 0.9598494353826851,
            "y": 0.9878003297738692
          },
          {
            "x": 0.5420326223337516,
            "y": 0.9878003297738692
          }
        ],
        "w": 0.4178168130489335,
        "h": 0.3894472361809044
      }
    ]
  },
  {
    "name": "calm",
    "uvs": [
      {
        "a": {
          "x": 0.020095282308657464,
          "y": 0.1624234453517588
        },
        "b": {
          "x": 0.40401505646173147,
          "y": 0.9878003297738692
        },
        "vs": [
          {
            "x": 0.020095282308657464,
            "y": 0.1624234453517588
          },
          {
            "x": 0.40401505646173147,
            "y": 0.1624234453517588
          },
          {
            "x": 0.40401505646173147,
            "y": 0.9878003297738692
          },
          {
            "x": 0.020095282308657464,
            "y": 0.9878003297738692
          }
        ],
        "w": 0.383939774153074,
        "h": 0.8253768844221104
      },
      {
        "a": {
          "x": 0.45294855708908405,
          "y": 0.16744857097989949
        },
        "b": {
          "x": 0.8858218318695107,
          "y": 0.9840314855527638
        },
        "vs": [
          {
            "x": 0.45294855708908405,
            "y": 0.16744857097989949
          },
          {
            "x": 0.8858218318695107,
            "y": 0.16744857097989949
          },
          {
            "x": 0.8858218318695107,
            "y": 0.9840314855527638
          },
          {
            "x": 0.45294855708908405,
            "y": 0.9840314855527638
          }
        ],
        "w": 0.43287327478042664,
        "h": 0.8165829145728642
      }
    ]
  },
  {
    "name": "crying",
    "uvs": [
      {
        "a": {
          "x": 0.07528230865746549,
          "y": 0.1975993247487437
        },
        "b": {
          "x": 0.4968632371392723,
          "y": 0.9589058574120602
        },
        "vs": [
          {
            "x": 0.07528230865746549,
            "y": 0.1975993247487437
          },
          {
            "x": 0.4968632371392723,
            "y": 0.1975993247487437
          },
          {
            "x": 0.4968632371392723,
            "y": 0.9589058574120602
          },
          {
            "x": 0.07528230865746549,
            "y": 0.9589058574120602
          }
        ],
        "w": 0.4215809284818068,
        "h": 0.7613065326633166
      },
      {
        "a": {
          "x": 0.5658720200752823,
          "y": 0.18629279208542712
        },
        "b": {
          "x": 0.9498117942283564,
          "y": 0.9626747016331657
        },
        "vs": [
          {
            "x": 0.5658720200752823,
            "y": 0.18629279208542712
          },
          {
            "x": 0.9498117942283564,
            "y": 0.18629279208542712
          },
          {
            "x": 0.9498117942283564,
            "y": 0.9626747016331657
          },
          {
            "x": 0.5658720200752823,
            "y": 0.9626747016331657
          }
        ],
        "w": 0.3839397741530741,
        "h": 0.7763819095477386
      }
    ]
  },
  {
    "name": "dancing",
    "uvs": [
      {
        "a": {
          "x": 0.05771643663739021,
          "y": 0.14986063128140703
        },
        "b": {
          "x": 0.5031367628607277,
          "y": 0.9702123900753767
        },
        "vs": [
          {
            "x": 0.05771643663739021,
            "y": 0.14986063128140703
          },
          {
            "x": 0.5031367628607277,
            "y": 0.14986063128140703
          },
          {
            "x": 0.5031367628607277,
            "y": 0.9702123900753767
          },
          {
            "x": 0.05771643663739021,
            "y": 0.9702123900753767
          }
        ],
        "w": 0.4454203262233375,
        "h": 0.8203517587939697
      },
      {
        "a": {
          "x": 0.5533249686323714,
          "y": 0.0581922895728643
        },
        "b": {
          "x": 0.9535759096612296,
          "y": 0.979006359924623
        },
        "vs": [
          {
            "x": 0.5533249686323714,
            "y": 0.0581922895728643
          },
          {
            "x": 0.9535759096612296,
            "y": 0.0581922895728643
          },
          {
            "x": 0.9535759096612296,
            "y": 0.979006359924623
          },
          {
            "x": 0.5533249686323714,
            "y": 0.979006359924623
          }
        ],
        "w": 0.4002509410288583,
        "h": 0.8128140703517588
      }
    ]
  },
  {
    "name": "finding",
    "uvs": [
      {
        "a": {
          "x": 0.033877038895859475,
          "y": 0.16493600816582915
        },
        "b": {
          "x": 0.5708908406524467,
          "y": 0.9965942996231155
        },
        "vs": [
          {
            "x": 0.033877038895859475,
            "y": 0.16493600816582915
          },
          {
            "x": 0.5708908406524467,
            "y": 0.16493600816582915
          },
          {
            "x": 0.5708908406524467,
            "y": 0.9965942996231155
          },
          {
            "x": 0.033877038895859475,
            "y": 0.9965942996231155
          }
        ],
        "w": 0.5370138017565872,
        "h": 0.8316582914572863
      },
      {
        "a": {
          "x": 0.6148055207026348,
          "y": 0.21141842022613064
        },
        "b": {
          "x": 0.9786700125470514,
          "y": 1.000363143844221
        },
        "vs": [
          {
            "x": 0.6148055207026348,
            "y": 0.21141842022613064
          },
          {
            "x": 0.9786700125470514,
            "y": 0.21141842022613064
          },
          {
            "x": 0.9786700125470514,
            "y": 1.000363143844221
          },
          {
            "x": 0.6148055207026348,
            "y": 1.000363143844221
          }
        ],
        "w": 0.3638644918444166,
        "h": 0.7889447236180904
      }
    ]
  },
  {
    "name": "flies",
    "uvs": [
      {
        "a": {
          "x": 0.04642409033877039,
          "y": 0.16493600816582915
        },
        "b": {
          "x": 0.45420326223337515,
          "y": 0.9727249528894472
        },
        "vs": [
          {
            "x": 0.04642409033877039,
            "y": 0.16493600816582915
          },
          {
            "x": 0.45420326223337515,
            "y": 0.16493600816582915
          },
          {
            "x": 0.45420326223337515,
            "y": 0.9727249528894472
          },
          {
            "x": 0.04642409033877039,
            "y": 0.9727249528894472
          }
        ],
        "w": 0.4077791718946048,
        "h": 0.807788944723618
      },
      {
        "a": {
          "x": 0.5269761606022585,
          "y": 0.14609178706030151
        },
        "b": {
          "x": 0.9811794228356336,
          "y": 0.9878003297738692
        },
        "vs": [
          {
            "x": 0.5269761606022585,
            "y": 0.14609178706030151
          },
          {
            "x": 0.9811794228356336,
            "y": 0.14609178706030151
          },
          {
            "x": 0.9811794228356336,
            "y": 0.9878003297738692
          },
          {
            "x": 0.5269761606022585,
            "y": 0.9878003297738692
          }
        ],
        "w": 0.45420326223337515,
        "h": 0.8417085427135678
      }
    ]
  },
  {
    "name": "music",
    "uvs": [
      {
        "a": {
          "x": 0.10664993726474278,
          "y": 0.1611671639447236
        },
        "b": {
          "x": 0.5094102885821832,
          "y": 0.9764937971105527
        },
        "vs": [
          {
            "x": 0.10664993726474278,
            "y": 0.1611671639447236
          },
          {
            "x": 0.5094102885821832,
            "y": 0.1611671639447236
          },
          {
            "x": 0.5094102885821832,
            "y": 0.9764937971105527
          },
          {
            "x": 0.10664993726474278,
            "y": 0.9764937971105527
          }
        ],
        "w": 0.40276035131744037,
        "h": 0.8153266331658291
      },
      {
        "a": {
          "x": 0.5872020075282308,
          "y": 0.21644354585427136
        },
        "b": {
          "x": 0.9661229611041405,
          "y": 0.9965942996231155
        },
        "vs": [
          {
            "x": 0.5872020075282308,
            "y": 0.21644354585427136
          },
          {
            "x": 0.9661229611041405,
            "y": 0.21644354585427136
          },
          {
            "x": 0.9661229611041405,
            "y": 0.9965942996231155
          },
          {
            "x": 0.5872020075282308,
            "y": 0.9965942996231155
          }
        ],
        "w": 0.3789209535759097,
        "h": 0.7801507537688441
      }
    ]
  },
  {
    "name": "offering",
    "uvs": [
      {
        "a": {
          "x": 0.020075282308657464,
          "y": 0.13981038002512564
        },
        "b": {
          "x": 0.5307402760351317,
          "y": 0.9727249528894472
        },
        "vs": [
          {
            "x": 0.020075282308657464,
            "y": 0.13981038002512564
          },
          {
            "x": 0.5307402760351317,
            "y": 0.13981038002512564
          },
          {
            "x": 0.5307402760351317,
            "y": 0.9727249528894472
          },
          {
            "x": 0.020075282308657464,
            "y": 0.9727249528894472
          }
        ],
        "w": 0.5106649937264742,
        "h": 0.8329145728643215
      },
      {
        "a": {
          "x": 0.5357590966122961,
          "y": 0.19634304334170852
        },
        "b": {
          "x": 0.9372647427854455,
          "y": 0.977750078517588
        },
        "vs": [
          {
            "x": 0.5357590966122961,
            "y": 0.19634304334170852
          },
          {
            "x": 0.9372647427854455,
            "y": 0.19634304334170852
          },
          {
            "x": 0.9372647427854455,
            "y": 0.977750078517588
          },
          {
            "x": 0.5357590966122961,
            "y": 0.977750078517588
          }
        ],
        "w": 0.4015056461731493,
        "h": 0.7814070351758795
      }
    ]
  },
  {
    "name": "proposal",
    "uvs": [
      {
        "a": {
          "x": 0.05771643663739021,
          "y": 0.20011188756281406
        },
        "b": {
          "x": 0.4742785445420326,
          "y": 0.9827752041457286
        },
        "vs": [
          {
            "x": 0.05771643663739021,
            "y": 0.20011188756281406
          },
          {
            "x": 0.4742785445420326,
            "y": 0.20011188756281406
          },
          {
            "x": 0.4742785445420326,
            "y": 0.9827752041457286
          },
          {
            "x": 0.05771643663739021,
            "y": 0.9827752041457286
          }
        ],
        "w": 0.4165621079046424,
        "h": 0.7826633165829145
      },
      {
        "a": {
          "x": 0.4893350062735257,
          "y": 0.20639329459798994
        },
        "b": {
          "x": 0.9234629861982434,
          "y": 0.9664435458542713
        },
        "vs": [
          {
            "x": 0.4893350062735257,
            "y": 0.20639329459798994
          },
          {
            "x": 0.9234629861982434,
            "y": 0.20639329459798994
          },
          {
            "x": 0.9234629861982434,
            "y": 0.9664435458542713
          },
          {
            "x": 0.4893350062735257,
            "y": 0.9664435458542713
          }
        ],
        "w": 0.4341279799247177,
        "h": 0.7600502512562813
      }
    ]
  },
  {
    "name": "realfight",
    "uvs": [
      {
        "a": {
          "x": 0.0890840652446675,
          "y": 0.1624234453517588
        },
        "b": {
          "x": 0.5809284818067754,
          "y": 0.9978505810301507
        },
        "vs": [
          {
            "x": 0.0890840652446675,
            "y": 0.1624234453517588
          },
          {
            "x": 0.5809284818067754,
            "y": 0.1624234453517588
          },
          {
            "x": 0.5809284818067754,
            "y": 0.9978505810301507
          },
          {
            "x": 0.0890840652446675,
            "y": 0.9978505810301507
          }
        ],
        "w": 0.49184441656210787,
        "h": 0.8354271356783919
      },
      {
        "a": {
          "x": 0.5784190715181933,
          "y": 0.21769982726130652
        },
        "b": {
          "x": 0.9761606022584692,
          "y": 0.9953380182160803
        },
        "vs": [
          {
            "x": 0.5784190715181933,
            "y": 0.21769982726130652
          },
          {
            "x": 0.9761606022584692,
            "y": 0.21769982726130652
          },
          {
            "x": 0.9761606022584692,
            "y": 0.9953380182160803
          },
          {
            "x": 0.5784190715181933,
            "y": 0.9953380182160803
          }
        ],
        "w": 0.39774153074027596,
        "h": 0.7776381909547737
      }
    ]
  },
  {
    "name": "selfie",
    "uvs": [
      {
        "a": {
          "x": 0.018820577164366373,
          "y": 0.16744857097989949
        },
        "b": {
          "x": 0.4742785445420326,
          "y": 0.9940817368090452
        },
        "vs": [
          {
            "x": 0.018820577164366373,
            "y": 0.16744857097989949
          },
          {
            "x": 0.4742785445420326,
            "y": 0.16744857097989949
          },
          {
            "x": 0.4742785445420326,
            "y": 0.9940817368090452
          },
          {
            "x": 0.018820577164366373,
            "y": 0.9940817368090452
          }
        ],
        "w": 0.45545796737766625,
        "h": 0.8266331658291457
      },
      {
        "a": {
          "x": 0.48306148055207027,
          "y": 0.15488575690954773
        },
        "b": {
          "x": 0.9698870765370138,
          "y": 0.9953380182160803
        },
        "vs": [
          {
            "x": 0.48306148055207027,
            "y": 0.15488575690954773
          },
          {
            "x": 0.9698870765370138,
            "y": 0.15488575690954773
          },
          {
            "x": 0.9698870765370138,
            "y": 0.9953380182160803
          },
          {
            "x": 0.48306148055207027,
            "y": 0.9953380182160803
          }
        ],
        "w": 0.4868255959849435,
        "h": 0.8404522613065325
      }
    ]
  },
  {
    "name": "truemusicsearch",
    "uvs": [
      {
        "a": {
          "x": 0.10664993726474278,
          "y": 0.2026244503768844
        },
        "b": {
          "x": 0.4893350062735257,
          "y": 0.985287766959799
        },
        "vs": [
          {
            "x": 0.10664993726474278,
            "y": 0.2026244503768844
          },
          {
            "x": 0.4893350062735257,
            "y": 0.2026244503768844
          },
          {
            "x": 0.4893350062735257,
            "y": 0.985287766959799
          },
          {
            "x": 0.10664993726474278,
            "y": 0.985287766959799
          }
        ],
        "w": 0.38268506900878296,
        "h": 0.7826633165829147
      },
      {
        "a": {
          "x": 0.6022584692597239,
          "y": 0.22523751570351755
        },
        "b": {
          "x": 0.9824341279799247,
          "y": 0.9903128925879396
        },
        "vs": [
          {
            "x": 0.6022584692597239,
            "y": 0.22523751570351755
          },
          {
            "x": 0.9824341279799247,
            "y": 0.22523751570351755
          },
          {
            "x": 0.9824341279799247,
            "y": 0.9903128925879396
          },
          {
            "x": 0.6022584692597239,
            "y": 0.9903128925879396
          }
        ],
        "w": 0.38017565872020076,
        "h": 0.7650753768844221
      }
    ]
  },
  {
    "name": "wait",
    "uvs": [
      {
        "a": {
          "x": 0.05897114178168131,
          "y": 0.19006163630653264
        },
        "b": {
          "x": 0.45545796737766625,
          "y": 0.963930983040201
        },
        "vs": [
          {
            "x": 0.05897114178168131,
            "y": 0.19006163630653264
          },
          {
            "x": 0.45545796737766625,
            "y": 0.19006163630653264
          },
          {
            "x": 0.45545796737766625,
            "y": 0.963930983040201
          },
          {
            "x": 0.05897114178168131,
            "y": 0.963930983040201
          }
        ],
        "w": 0.3964868255959849,
        "h": 0.7738693467336684
      },
      {
        "a": {
          "x": 0.5018820577164367,
          "y": 0.2026244503768844
        },
        "b": {
          "x": 0.9058971141781681,
          "y": 0.9626747016331657
        },
        "vs": [
          {
            "x": 0.5018820577164367,
            "y": 0.2026244503768844
          },
          {
            "x": 0.9058971141781681,
            "y": 0.2026244503768844
          },
          {
            "x": 0.9058971141781681,
            "y": 0.9626747016331657
          },
          {
            "x": 0.5018820577164367,
            "y": 0.9626747016331657
          }
        ],
        "w": 0.4040150564617314,
        "h": 0.7600502512562813
      }
    ]
  }
]"""
)
